| Version: 3.1.5

Classes | Variables
webrequest.h File Reference

## Classes
class | wxWebRequest
| This class allows for simple HTTP requests using the operating system's components as implementation. More...
class | wxWebAuthChallenge
| Authentication challenge information available via wxWebRequest::GetAuthChallenge(). More...
class | wxWebCredentials
| Simple class containing the username and password to use for authenticating. More...
class | wxWebResponse
| A wxWebResponse allows access to the response sent by the server. More...
class | wxWebSession
| Session allows creating wxWebRequest objects used for the actual HTTP requests. More...
class | wxWebRequestEvent
| A web request event sent during or after server communication. More...

## Variables
wxEventType | wxEVT_WEBREQUEST_STATE
wxEventType | wxEVT_WEBREQUEST_DATA

## Variable Documentation

## ◆ wxEVT_WEBREQUEST_DATA

wxEventType wxEVT_WEBREQUEST_DATA

## ◆ wxEVT_WEBREQUEST_STATE

wxEventType wxEVT_WEBREQUEST_STATE